/*
	CELDictionary.h
	
	Subclass of CDictionary that does English specific things.
	Specifically, it combines entries that have the same 'root'.
		e.g. go, go around, go between, etc.
	
	by James Jennings
	Started March 21, 1999
	
*/

#pragma once

#if __dest_os == __mac_os
	#include "CCountedDictionary.h"
	#define CDICTIONARY CCountedDictionary
#else
	#include "CDictionary.h"
	#define CDICTIONARY CDictionary
#endif

class CELDictionary : public CDICTIONARY {
public:
				CELDictionary( istream & data, istream & index )
					: CDICTIONARY(data, index) {}

//	virtual void GetDefinition( CFormatter &outText ); // extract the current entry
	
};

#undef CDICTIONARY
