/*
	Letter.h
	
	class Letter
	
	Encapsulates routines that deal with a single letter.
	
	James Jennings * April 18, 2000
*/

#pragma once

class Letter {
public:
		// simple tests.
	static bool		IsVowel(char c, bool strict = true);
	static bool		IsConsonant(char c, bool strict = true);
	static bool 	IsBorrowed(char c);
	static bool 	IsContinuant(char c);
		// used in class Word
	static bool		IsWordLetter(char c);
		// used in class ComplexMaker
	static bool 	IsSpirant(char c);
	static bool 	IsUnvoiced(char c);
	static bool 	IsHyphen(char c);
};
